Bug 1334 - request for more strict format checking in grid-mapfile-check-consistency
: request for more strict format checking in grid-mapfile-check-consistency
Status: RESOLVED FIXED
: GSI C
Authentication
: 2.4.0
: PC Linux
: P3 normal
: 4.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2003-10-29 20:39 by
Modified: 2008-08-11 15:21 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-29 20:39:19
grid-mapfile-check-consistency can't detect following entry as error,

  "O=Grid, O=Globus, OU=soum.co.jp, CN=FUKAUMI Naoki" fukaumi

It's possible and frequently mistake, I believe. ;)
(Of course it should use "grid-cert-info -s" to get proper DN.)

Please add checking function about these bogus entries.

This is quick hack.

232c232
<     check_fields=`echo $line | ${GLOBUS_SH_GREP-grep} "O=" |
${GLOBUS_SH_GREP-grep} "CN="`
---
>     check_fields=`echo $line | ${GLOBUS_SH_GREP-grep} "/O=" |
${GLOBUS_SH_GREP-grep} "/CN="`
------- Comment #1 From 2003-10-30 01:25:55 -------
Fix was to activate Common. Committed to trunk.
------- Comment #2 From 2003-10-30 01:26:30 -------
Oops wrong bug...
------- Comment #3 From 2004-10-27 21:15:37 -------
Committed suggested fix.

/Sam